POST
Freeze the wallet for the given coin and wallet id.
Permissions:
- spender for the given wallet and coin
Path Params
-
coinstring requiredA cryptocurrency symbol or token ticker symbol -
walletIdstring required
Body Params
object
Freeze Wallet Request Body
Parameters for freezing a wallet, including duration and optional metadata.
-
durationnumber or string nullable requiredHow long to freeze the walletONE OF
number
string enum
-
reasonstring enumReason for freezing the walletTxIntentMismatchTxIntentMismatchRecipientTxIntentMismatchContractTxIntentMismatchApprovalUserRequestAdminRequest -
referenceIdstringUsed for tracking purposes -
metadataobjectProvides more context on why a wallet was frozenONE OF
string-
suspiciousTransactionHexstring required -
txParamsarray of objects requiredtxParams object
-
addressstring required -
amountstring or number required -
dataobjectONE OF
string-
tokenTypestring required -
tokenQuantitystring required -
tokenContractAddressstring -
tokenNamestring -
tokenIdstring -
decimalPlacesnumber
-
-
feeLimitstring -
tokenDataobjectToken transfer recipient params used in freeze metadata.tokenData object
-
tokenTypestring required -
tokenQuantitystring required -
tokenContractAddressstring -
tokenNamestring -
tokenIdstring -
decimalPlacesnumber
-
-
tokenNamestring
-
-
Responses
200
OK
Response Body
object
-
timestring date required -
expiresstring date required -
reasonstring enumWhy a wallet was frozenTxIntentMismatchTxIntentMismatchRecipientTxIntentMismatchContractTxIntentMismatchApprovalUserRequestAdminRequest -
referenceIdstringAn optional reference ID for tracking purposes -
adminOrUserIdstringThe user who froze the wallet (could be a regular user or an admin)
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
403
Forbidden
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
409
Conflict
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
500
Internal Server Error
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id